#include<iostream>
#include<cmath>
using namespace std;

int f(int a)
{
	int b=0;
	for(int i=1;i<a;i++)
	{
		if(a%i==0)
		{
			b=b+i;
		}
	}
	return b;
}


int main()
{
	int a,b,c;
	cin>>a;
	b=f(a);
	c=f(b);
	if(a==c)
	{
		cout<<b;
	}
	else
		cout<<"no";
	
	
	return 0;
}
